# Class AccessibleEvent

SWTEventObject
org.eclipse.swt.accessibility.AccessibleEvent

public class AccessibleEvent extends SWTEventObject
Instances of this class are sent as a result of accessibility clients sending messages to controls asking for information about the control instance.

Note: The meaning of the result field depends on the message that was sent.

Since:
  1.4
See Also:
  - `AccessibleListener`
  - `AccessibleAdapter`
  - Sample code and further information

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`childID`
The value of this field is set by an accessibility client before the accessible listener method is called.
`String`
`result`
The value of this field must be set in the accessible listener method before returning.

## Constructor Summary

Constructors
Constructor
Description
`AccessibleEvent(Object source)`
Constructs a new instance of this class.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
Returns a string containing a concise, human-readable description of the receiver.

## Field Details

### childID

public int childID
The value of this field is set by an accessibility client before the accessible listener method is called. ChildID can be CHILDID_SELF, representing the control itself, or a 0-based integer representing a specific child of the control.

### result

public String result
The value of this field must be set in the accessible listener method before returning. What to set it to depends on the listener method called, and the childID specified by the client.

## Constructor Details

### AccessibleEvent

public AccessibleEvent(Object source)
Constructs a new instance of this class.

Parameters:
  `source` - the object that fired the event

## Method Details

### toString

public String toString()
Returns a string containing a concise, human-readable description of the receiver.

Returns:
  a string representation of the event